XMRig-Proxy 代理

自行编译xmrig-proxy

sudo apt update && sudo apt full-upgrade -y
sudo apt install git build-essential cmake libuv1-dev uuid-dev libmicrohttpd-dev libssl-dev
git clone https://github.com/xmrig/xmrig-proxy.git
mkdir xmrig-proxy/build
cd xmrig-proxy/build
cmake ..
make -j$(nproc)

将编好的文件和配置文件放置/etc/xmrig-proxy目录中

mkdir -p /etc/xmrig-proxy
cp -rf ./xmrig-proxy /etc/xmrig-proxy/
cp -rf ../src/config.json /etc/xmrig-proxy/
chmod -R 755 /etc/xmrig-proxy
cd /etc/xmrig-proxy

可以在/etc/xmrigproxy文件夹里面开个新文档叫config.json,然后把下面的拷进去

{
"background": false,
"log-file": null,
"access-log-file": null,
"retries": 5,
"retry-pause": 5,
"donate-level": 2,
"coin": "xmr",
"custom-diff": 0,
"syslog": false,
"verbose": false,
"colors": true,
"workers": true,
"pools": [
{
"url": "auto.c3pool.org:19999",
"user": "48F77e5r9Cm7DAoZVMUs4dKgtb2wTSwRRZ4gR2fCVkeA4TTmYCiq1yAK1ckyfrcNjqQm4f6aHNg2y5dZ8HM4hiuET4k4xRn",
"pass": "x"
}
],
"bind": [
"0.0.0.0:8080"
],
"api": {
"port": 0,
"access-token": null,
"worker-id": null
}
}

XMR-Stak矿工设置

#架设代理地址端口
"pool_address" : "你的代理地址:端口",
#设置机器名字
"wallet_address" : "当前矿工名字",
#这个设成x就好了,不用管的
"pool_password" : "x"
#必须要设置nicehash为true
"use_nicehash" : true,

添加自启动,放置/etc/xmrig-proxy目录中,并命名为xmrigd

#!/bin/bash
### BEGIN INIT INFO
# Provides:          xmrig-proxy
# Required-Start:    $all
# Required-Stop:     
# Should-Start:
# Should-Stop:
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: xmrig-proxy.
# Description:       xmrig-proxy daemon.
### END INIT INFO
 
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
 
DAEMON='/etc/xmrig-proxy/xmrig-proxy'
CONFIG='/etc/xmrig-proxy/config.json'
StartFile='/etc/xmrig-proxy/xmrigd'
 
test -x $DAEMON || exit 0
[ -f $CONFIG ] || exit 0
[ -f $StartFile ] || exit 0
 
stop_daemon(){
  kill -9 $(ps -C "$(basename $DAEMON)" -o pid=) >/dev/null 2>&1
}
 
case "$1" in
  start)
    LIMIT='1048576'
    ulimit -n $LIMIT
    stop_daemon;
    screen -Sdm proxy $DAEMON -c $CONFIG
    ;;
  stop)
    stop_daemon;
    ;;
  init)
    chmod 755 $StartFile
    ln -sf $StartFile /etc/init.d/xmrigd
    if [[ -f /etc/security/limits.conf ]]; then
      sed -i '/^\(\*\|root\).*\(hard\|soft\).*nofile/d' /etc/security/limits.conf
      echo -ne "*\thard\tnofile\t$LIMIT\n*\tsoft\tnofile\t$LIMIT\nroot\thard\tnofile\t$LIMIT\nroot\tsoft\tnofile\t$LIMIT\n" >>/etc/security/limits.conf
    fi
    if [[ -f /etc/sysctl.conf ]]; then
      sed -i '/^fs.file-max.*/d' /etc/sysctl.conf
      sed -i '/^vm.nr_hugepages.*/d' /etc/sysctl.conf
      echo -ne '\nvm.nr_hugepages=128\n' >>/etc/sysctl.conf
      echo -ne '\nfs.file-max=1048576\n' >>/etc/sysctl.conf
    fi
    update-rc.d -f $(basename $StartFile) remove
    update-rc.d -f $(basename $StartFile) defaults
    sysctl -p >/dev/null
    ;;
  *)
    echo "Usage: bash /etc/xmrig-proxy/xmrigd {start|stop|init}" >&2
    exit 1
    ;;
esac
 
exit 0
运行初始化命令,优化系统性能

bash /etc/xmrig-proxy/xmrigd init

运行或重启命令:

bash /etc/xmrig-proxy/xmrigd start

查看代理运行情况:

screen -r proxy

发表评论